summaryrefslogtreecommitdiff
path: root/lib/libevent/mkinstalldirs
diff options
context:
space:
mode:
authorNiels Provos <provos@cvs.openbsd.org>2002-06-15 18:01:49 +0000
committerNiels Provos <provos@cvs.openbsd.org>2002-06-15 18:01:49 +0000
commit60d2a738289da21d46097ec5c582d76c109dd5d6 (patch)
treebb544405ecbca835ddcc8de9b6e12b70a668e2ef /lib/libevent/mkinstalldirs
parentd1f1a61dd5ff0fa9b131709279be98b564ef1da0 (diff)
import libevent an event notification abstraction on top of select or kqueue
supporting timeout and signal callsbacks, too. okay deraadt@ millert@
Diffstat (limited to 'lib/libevent/mkinstalldirs')
-rw-r--r--lib/libevent/mkinstalldirs40
1 files changed, 40 insertions, 0 deletions
diff --git a/lib/libevent/mkinstalldirs b/lib/libevent/mkinstalldirs
new file mode 100644
index 00000000000..19656d9c5ea
--- /dev/null
+++ b/lib/libevent/mkinstalldirs
@@ -0,0 +1,40 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+# $Id: mkinstalldirs,v 1.1 2002/06/15 18:01:38 provos Exp $
+
+errstatus=0
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp"
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here